package cn.cecep.talroad.util.effective;
/*
*@Author: liuwenshuang 
*@date:   2019/7/18
*/

public enum AirQualityLevelType {
    Level1(1),  Level2(2),  Level3(3),  Level4(4),  Level5(5),  Level6(6);

    private static final String[] m_asLevelText = { "一级", "二级", "三级", "四级", "五级", "六级" };
    private static final String[] m_asLevelTextEng = { "Level 1", "Level 2", "Level 3", "Level 4", "Level 5", "Level 6" };
    private static final String[] m_asTitle = { "优", "良", "轻度污染", "中度污染", "重度污染", "严重污染" };
    private static final String[] m_asTitleEng = { "Good", "Moderate", "Unhealthy for Sensitive Groups", "Unhealthy", "Very Unhealthy", "Hazardous" };
    private static final int[][] m_aiColorRGB = { { 0, 228 }, { 255, 255 }, { 255, 126 }, { 255 }, { 153, 0, 76 }, { 126, 0, 35 } };
    private static final String[] m_asColorRGB = { "00E400", "FFFF00", "FF7E00", "FF0000", "99004C", "7E0023" };
    private static final int[][] m_aiColorCMYK = { { 40, 0, 100 }, { 0, 0, 100 }, { 0, 52, 100 }, { 0, 100, 100 }, { 10, 100, 40, 30 }, { 30, 100, 100, 30 } };
    private final int m_iLevelFigure;

    private AirQualityLevelType(int value)
    {
        this.m_iLevelFigure = value;
    }

    public int getLevelFigure()
    {
        return this.m_iLevelFigure;
    }

    public String getLevelText()
    {
        return m_asLevelText[(this.m_iLevelFigure - 1)];
    }

    public String getLevelTextEng()
    {
        return m_asLevelTextEng[(this.m_iLevelFigure - 1)];
    }

    public String getTitle()
    {
        return m_asTitle[(this.m_iLevelFigure - 1)];
    }

    public String getTitleEng()
    {
        return m_asTitleEng[(this.m_iLevelFigure - 1)];
    }

    public int[] getColorRGB()
    {
        return m_aiColorRGB[(this.m_iLevelFigure - 1)];
    }

    public String getColorRGBStr()
    {
        return m_asColorRGB[(this.m_iLevelFigure - 1)];
    }

    public int[] getColorCMYK()
    {
        return m_aiColorCMYK[(this.m_iLevelFigure - 1)];
    }
}
